<?php
//
//  Nagios Core Config Manager
//  Copyright (c) 2010-2014 Nagios Enterpries, LLC
//
//  File: form_header.php
//  Desc: Creates the top of the Form class, which shows whenever ANY object is modified
//        either by adding a new one or editing. It also creates Javascript variables that will
//        pre-select whatever overlays need to have selected items.
//
?>
<script type="text/javascript" src="javascript/form_js.js?<?php echo VERSION; ?>"></script>
<script type="text/javascript">
var command_list = new Array();
<?php
if (in_array($this->exactType, $this->mainTypes)) {
    foreach ($FIELDS['selCommandOpts'] as $c) {
        echo "command_list['".$c['id']."'] = '".addslashes(htmlentities($c['command_line'], ENT_NOQUOTES))."';";
    }
}
?>

// Default is to load "Common Settings" and pre-selected items
$(document).ready(function() {
    <?php
    // Display popup tooltips
    if (ENVIRONMENT == "nagiosxi") {
        echo '
        $(document).ready(function () {
            $(".tooltip-info").tooltip({ tooltipClass: "ccm-tooltip" });
        });';
    }

    // Pre-load free variables
    if (!empty($FIELDS['freeVariables'])) {
        foreach ($FIELDS['freeVariables'] as $f) {
            if (!empty($f['name']) && (isset($f['value']) && $f['value'] !== '')) {
                echo "insertDefinition('".$f['name']."', '".addslashes($f['value'])."');";
            }
        }
    } 

    // Pre-load time periods
    if ($this->exactType == 'timeperiod') {
        for ($i = 0; $i < count($FIELDS['timedefinitions']); $i++) {
            echo "insertTimeperiod('".$FIELDS['timedefinitions'][$i]."', '".$FIELDS['timeranges'][$i]."');";
        }
    }
    ?>
}); 
</script>

<div id="mainWrapper">
    <div id='returnUrlDiv'><a href="<?php echo $FIELDS['returnUrl']; ?>"> &laquo; <?php echo gettext("Go Back"); ?></a></div>

    <?php
    // Show help items if they exist for the object
    if (!empty($FIELDS['info'])) {
    ?>
    <div id='helpOptions'>
        <label for='helpList'><?php echo gettext("Help & Documentation"); ?></label><br />
        <select id='helpList' onchange='getHelpOverlay("<?php echo $FIELDS["infotype"]; ?>")'>
            <option value=''></option>
            <?php
            foreach($FIELDS['info'] as $info) {
                echo "<option value='".$info['key2']."'>".$info['key2']."</option>"; 
            }
            ?>
        </select>
    </div>
    <?php
    }
    ?>
  
    <h1 class='title'><?php echo get_page_title($this->exactType); ?> <?php echo gettext("Management"); ?></h1>

    <?php
    // Check to see if the object is active
    if ($FIELDS['active'] == 0) {
    ?>
    <div class="alert alert-error" style="line-height: 20px;">
        <i class="fa fa-exclamation-triangle" style="font-size: 14px; vertical-align: text-top; margin-right: 4px;"></i> This object is currently set as <strong>Inactive</strong> and will not be written to the configuration files.
    </div>
    <?php
    }
    
    // If it's a main type, show all 4 of the tabs
    if (in_array($this->exactType, $this->mainTypes)) {
    ?>  

    <div class="navDiv">  
        <ul class="navList">
            <li id="commonSettings" class="navListItem"><a class="navLink" href="javascript:showHideTab('1');"><?php echo gettext("Common Settings"); ?></a></li>
            <li class="navListItem"><a class="navLink" href="javascript:showHideTab('2');"><?php echo gettext("Check Settings"); ?></a></li>
            <li class="navListItem"><a class="navLink" href="javascript:showHideTab('3');"><?php echo gettext("Alert Setting"); ?>s</a></li>
            <li class="navListItem"><a class="navLink" href="javascript:showHideTab('4');"><?php echo gettext("Misc Settings"); ?></a></li> 
        </ul> 
    </div>
    <?php
    } 

    // If it's not a main type show only the tabs it needs unless it's a contact or contact template
    if ($this->exactType == 'contact' || $this->exactType == 'contacttemplate') {
    ?>

    <div class="navDiv">  
        <ul class="navList">
            <li id="commonSettings" class="navListItem"><a class="navLink" href="javascript:showHideTab('1')"><?php echo gettext("Common Settings"); ?></a></li>
            <li class="navListItem"><a class="navLink" href="javascript:showHideTab('2')"><?php echo gettext("Alert Settings"); ?></a></li>
            <li class="navListItem"><a class="navLink" href="javascript:showHideTab('4')"><?php echo gettext("Misc Settings"); ?></a></li> 
        </ul> 
    </div>

    <?php 
    }
    ?>

    <div id="formContainer"> 
        <form id="mainCcmForm" method="post" action="index.php?type=<?php echo $this->exactType; ?>">